/* setup for easy theme changes later on if needed */
/* use for regions for readability  */
/* use of native CSS nesting (finally) */

/* REGION SETUP: INDEX(GLOBAL-NAV-HERO-MAIN-FOOTER) LAST REGION FOR ABOUT AND PRODUCT PAGE */

/* #region global styles */
:root {
    /* --primary-bg-color: rgb(11, 0, 0); */
    --primary-color: white;
    --hover-shadow: 0px 0px 5px white;
    --transition-duration: 0.3s;
    --primary-bg-color: hsl(227, 20%, 12%);
    /* --primary-bg-color: linear-gradient(135deg, #141E30, #243B55, #432371, #611A7B);; */
    --colorFigcaption: hsla(230, 33%, 23%,0.3);
    /* --colorFigcaption: hwb(238 34% 30%); */
    
    

    /* light mode colors  */
    /* still not super happy with light palette */
    --light-bg-color: white; 
    
    --light-color: black;
    --light-hover-shadow: 0px 0px 5px black;
    /* love it! find a cool gradient for dakr mode too for a less blown out childish look */
    --colorFigcaptionLight: linear-gradient(135deg, #1a0846, #7346FB);  
    --colorFigcaptionLight: linear-gradient(135deg, hsl(257, 79%, 15%), hsl(255, 97%, 57%)); 
    --boxShadowLight: 0px 0px 2rem black; 
    --boxShadow: 0px 0px 0.5rem white;

}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-wrap: balance;
    /* very cool wrap property that's not very known */
}

body {
   
    background: var(--primary-bg-color);
    color: var(--primary-color);
    transition: all 1s ease-in;
    
    
}



    /* :is(a, button):focus {
        outline:4px solid yellow;
        outline-offset: 4px;
    } */


   
    





header {
    color: black;
}



#about-products {
    margin-top: 10vh;
    
    & h1 {
        background-image: url("images/about_luxury_interior.jpeg");
        background-size: cover;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        

        
    }
    
}

#galleryTitle {
    font-size: 2rem;
    background-image: url("images/about_luxury_interior.jpeg");
        background-size: cover;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
}




.lightmode {
    transition: all 1s ease-in;
    /* background: var(--light-bg-color);
    color: var(--light-color); */
    --primary-bg-color: var(--light-bg-color);
    /* --primary-color: var(--light-color); */
    
    --boxShadow: var(--boxShadowLight);
    
    --colorFigcaption: var(--colorFigcaptionLight);
    
}




html, body{
    scroll-behavior: smooth;
    height: 100%;
    
    
}
/* removed dynamic text looks good as is , didn't like the version with clamp either */
/* @media (min-width: 800px) {
    html {
        font-size: 20px;
    }
} */


/* #endregion */

/* #region NAV STYLES */

#smart-menu {
    position: fixed;
    
    top: 0;
    margin: 1rem;
    height: 30px;
    width: 30px;
    align-self: flex-end;
    background-image: url("images/menu.svg");
    /* background-color: var(--primary-bg-color); */
    background-color: black;
    color: var(--primary-color);
    z-index: 3;
    border-radius: 15px;
    transition: all var(--transition-duration) ease-in-out;
}

#toggleColor {
    position: absolute;
    top: 0;
    right: 2rem;
    margin: 1rem;
    height: 30px;
    width: 30px;
    align-self: flex-end;
    background-image: url("images/lightmode.svg");
    /* background-color: var(--primary-bg-color); */
    background-color: black;
    color: var(--primary-color);
    z-index: 3;
    border-radius: 15px;
    transition: all var(--transition-duration) ease-in-out;
    background-repeat: no-repeat;
}


#smart-menu:hover, footer button:hover, #toggleColor:hover {
    cursor: pointer;
    box-shadow: var(--hover-shadow);
}
.lightHover:hover {
    cursor: pointer;
    box-shadow: var(--light-hover-shadow);
}

#smart-menu.close {
    background-image: url("images/menu-close.svg");
}

#toggleColor.close {
    background-image: url("images/darkmode.svg");
}

nav {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    
}

nav ul {
    position: fixed;
    top: 0;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    list-style: none;
    opacity: 0;
    transition: all 0.5s ease-in-out;
    width: 100vw;
    height: 50vh;
    
    gap: 1rem;
    transform: translateX(100vh);
    text-transform: uppercase;

    font-size: 1.2rem;
    
}

nav a {
    text-decoration: none;
    transition: all var(--transition-duration) ease-in-out;
    color: var(--primary-color);
}

nav a:hover {
    text-decoration: underline var(--primary-color) 0.1rem;
    text-underline-offset: 0.5rem;
}

details li {
    text-transform: lowercase;
    margin-left: 2rem;
}

details a:hover {
    text-underline-offset: 0.2rem;
}

.visible {
    opacity: 1;
    transform: translateX(0vh);
    /* background-color: rgba(0, 0, 0, 0.5); */
    /* f blind ppl  */
    background-color: rgba(0, 0, 0, 0.55);
}

/* #endregion */

/* #region HERO STYLES */

#hero {
    
    height: 500px;
    background-image: url("images/newhero.webp");
    background-size: cover;
    background-position: center;
    border: outset 5px;
    background-repeat: no-repeat;
    margin: 0.5rem;
    border-radius: 5px;
    animation: fadeIn 3s ease-in;
    display: flex;
    align-items: center;
    justify-content: center;
    

}

@keyframes fadeIn {
    from {
        opacity: 0.2;
    }
    
}

#hero h1 {
    
    position: absolute;
    text-transform: uppercase;
    font-size: 1rem;
    background-color: transparent;
    color: var(--primary-color);
    font-style: italic;
    /* animation: slideDown 3s ease-out; */
    margin-left: 2rem;
    padding: 0.4rem;
    opacity: 1;
    transform: translateY(-200%);
    
    
}



h2 {
    animation: none;
    
    text-align: center;
    
    margin: 1rem;


    
}

/* #endregion */

/* #region MAIN */

#products {
    display: flex;
    flex-direction: column;
    animation: fadeIn 3s ease-in;
    cursor: pointer;
    align-items: center;
    gap: 1rem;
    margin-bottom: 2rem;
    margin:0 auto;
    
    
    
}

#products a {
    color: unset;
    background-color: unset;
}

#products img {
    max-width: 80vw;
    aspect-ratio: 1/1;
    border: outset 5px;
    border-radius: 5px;
    transition: all 0.2s ease-in-out;
}

@keyframes upScroll {
    from {
        transform: translateY(5%);
    }
}

#products img:hover {
    transform: scale(105%);
    border: inset 5px;
}

/* #endregion */

/* #region FOOTER */

footer {
    margin-top: 2rem;
    display: flex;
    position: relative;
    justify-content: center;
    align-content: center;
    padding: 1rem;
    
    gap: 1rem;
    background: var(--colorFigcaption);
    color: var(--primary-color);
    border-radius: 15px;
    

    & svg {
       fill:var(--primary-color);
    }
    
}


 footer h1 {
    text-align: center;
 }

footer button {
    background-color: black;
    position: relative;
    align-self: flex-end;
    width: 30px;
    height: 30px;
    right: 1rem;
    background-image: url("images/up.svg");
    border-radius: 15px;
}

footer a {
    
   color: var(--primary-color);
   text-underline-offset: 0.3rem;
}

address {
    margin: 1rem;
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    text-wrap: wrap;
}

/* #endregion */


/* #region STYLES FOR PRODUCT AND ABOUT PAGE  */
#product-title {
   text-align: center;
   margin-bottom: 2rem;
}
#discover-products, #visit-store {
    max-width: 80vw;
    margin: 0 auto;
    margin-top: 10vh;
    background: var(--colorFigcaption);
    /* background: transparent; */
    /* border: 10px solid var(--colorFigcaption); */
    border-radius: 50px;
    padding: 1rem;
    color: var(--primary-color);
    margin-bottom: 1rem;


}






#product-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    
    margin: 0 10vw;
}

.product-container {
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
    position: relative;
}

.product-card {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 2rem;

    & img {
        
        border-radius: 15px;
        height: 100%;
        width: 100%;
        box-shadow: var(--boxShadow);
         
        aspect-ratio: 1/1;
    }

    & figcaption {
        
        background: var(--colorFigcaption);
        border-radius: 15px;
        & h2 {
            text-align: center;
            text-transform: uppercase;
            /* color: hsl(35, 33%, 61%); */
            
            /* maybe maybe not  */
        
        }
        & p {
            
        font-size: 1.2rem;
        text-align: center;
        background: var(--colorFigcaption);
        
        border-radius: 15px;
       
        padding: 1rem;
        color: var(--primary-color);
        
    }
}
}








@media (min-width:550px) {
    
     


#products {
        
    display: grid;
    gap: 1rem;
    padding: 1rem;
    
    grid-template-columns: repeat(3, 1fr);
    
    grid-template-rows: repeat(3, 1fr);
    margin-top: 2rem;
    margin-bottom: 2rem;
    
    max-width: 80%;
    
   
    transition: all var(--transition-duration) ease-in-out;
    &:has(img:hover) img:not(:hover){
        opacity: .6;
        
        
    }
    
    
}


#products img {
    width: 100%;
    height: 100%;
    
    object-fit: cover;
    animation: upScroll 3s ease;
}
nav {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: center;
}

nav ul {
        
        
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-content: center;
    padding-top: 1rem;
    list-style: none;
    opacity: 1;
    transition: all 0.5s ease-in-out;
    width: 100vw;
    /* height: 30vh; */
    gap: 4rem;
    transform: translateX(0vh);
    text-transform: uppercase;
    background-color: transparent;
    
    /* background-color: rgba(0, 0, 0, 0.5); */
    /* not as cool but for the f* blind people */
    background-color: rgba(0, 0, 0, 0.55);
    /* found compromise at 55% */
    height: 10vh;
    transition: all var(--transition-duration) ease-in-out;

    &:has(li:hover) li:not(:hover) {
        opacity: .8;
        
    }

    
    
}



#smart-menu {display: none;};



#visit-store {
    margin-top: 2rem;
 }

 

 .product-card {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    
    
    

    & img {
        width: 50%;
        border-radius: 15px;
        height: 100%;
        
    }

    & figcaption {
        
        place-content: center;
        min-width: 50%;
        height: 100%;
        width: 100%;
        text-align: center;
        background: var(--colorFigcaption);
        max-height: 100%;
        color: var(--primary-color);
        border-radius: 15px;
       & p {
        margin: 1rem 1rem;
        
       }

       
        
    }
 }
 
 


}

/* #endregion */














